com.thinkaurelius.titan.graphdb.database.serialize

## Class StandardAttributeHandling

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.database.serialize.StandardAttributeHandling

- All Implemented Interfaces:
    AttributeHandling
  Direct Known Subclasses:
    StandardSerializer

      public class StandardAttributeHandling
      extends Object
      implements AttributeHandling

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardAttributeHandling()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<V> V` | `convert(Class<V> datatype, Object value)` Converts the given (not-null) value to the this datatype V.
    `List<Class>` | `getDefaultRegistrations()`
    `protected <V> AttributeSerializer<V>` | `getSerializer(Class<V> datatype)`
    `boolean` | `isOrderPreservingDatatype(Class<?> datatype)`
    `<V> void` | `registerClass(Class<V> datatype, AttributeHandler<V> handler)`
    `<V> void` | `verifyAttribute(Class<V> datatype, Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardAttributeHandling

          public StandardAttributeHandling()

  - ### Method Detail

    - #### getDefaultRegistrations

          public List<Class> getDefaultRegistrations()

    - #### registerClass

          public <V> void registerClass(Class<V> datatype,
                               AttributeHandler<V> handler)

      Specified by:
        `registerClass` in interface `AttributeHandling`

    - #### verifyAttribute

          public <V> void verifyAttribute(Class<V> datatype,
                                 Object value)

      Specified by:
        `verifyAttribute` in interface `AttributeHandling`

    - #### convert

          public <V> V convert(Class<V> datatype,
                      Object value)

      Description copied from interface: `AttributeHandling`
      Converts the given (not-null) value to the this datatype V. The given object will NOT be of type V. Throws an `IllegalArgumentException` if it cannot be converted.
      Specified by:
        `convert` in interface `AttributeHandling`
        `value` - to convert
      Returns:
        converted to expected datatype

    - #### isOrderPreservingDatatype

          public boolean isOrderPreservingDatatype(Class<?> datatype)

      Specified by:
        `isOrderPreservingDatatype` in interface `AttributeHandling`

    - #### getSerializer

          protected <V> AttributeSerializer<V> getSerializer(Class<V> datatype)

Copyright © 2012–2014. All rights reserved.